curl --request GET \
--url https://api.synctera.com/v1/external_cards/transfers/{transfer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/external_cards/transfers/{transfer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/external_cards/transfers/{transfer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_details": {
"address_verification_result": "ADDRESS_AND_ZIP_MISMATCH",
"cvv2_result": "CVV_MISMATCH",
"name_verification_result": "NAME_MISMATCH",
"pull_details": {
"country": "US",
"currency": "USD",
"network": "<string>",
"product_type": "CREDIT",
"regulated": true
},
"pull_enabled": true,
"push_details": {
"country": "US",
"currency": "USD",
"funds_availability": "FEW",
"network": "<string>",
"product_type": "CREDIT",
"regulated": true
},
"push_enabled": true,
"bin": "<string>",
"issuer": "<string>",
"last_four": "1234",
"payment_account_reference": "<string>"
},
"type": "PULL",
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"amount": 123,
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"id": "<string>",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"merchant": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"name": "<string>",
"email": "alice@example.com",
"phone_number": "+14374570680"
},
"status": "CANCELED",
"tenant": "abcdef_ghijkl",
"network_decline_details": "<string>",
"reason": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get External Card Transfer
Get External Card Transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a transfer
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
External Card Transfer details
- Token Response
- Pull Response
- Push Response
Show child attributes
Show child attributes
Type of transfer operation.
| Type | Description |
|---|---|
| PUSH | Funds pushed to an External Card from an Account |
| PULL | Funds pulled from an External Card to an Account |
| PULL_REVERSAL | Funds pushed back to an External Card from an Account |
| APPLE_PAY_PULL | Funds pulled from an Apple Pay card to an Account |
| APPLE_PAY_PULL_REVERSAL | Funds returned to Apple Pay card from original recipient Account |
| GOOGLE_PAY_PULL | Pull funds from a Google Pay card to an Account |
| GOOGLE_PAY_PULL_REVERSAL | Funds returned to Google Pay card from original recipient Account |
APPLE_PAY_PULL, APPLE_PAY_PULL_REVERSAL, GOOGLE_PAY_PULL, GOOGLE_PAY_PULL_REVERSAL, PULL, PULL_REVERSAL, PUSH "PULL"
The ID of the Synctera account into which or from which funds were moved
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Amount of the transfer in cents
"2010-05-06T12:23:34.321Z"
ISO 4217 Alpha-3 currency code
3"USD"
The customer_id of the cardholder
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The ID of the transfer
"2010-05-06T12:23:34.321Z"
Merchant descriptor information that will be shown on statement and transaction details. If not provided, FinTech information will be used.
Show child attributes
Show child attributes
The status of the transfer
CANCELED, DECLINED, PENDING, SUCCEEDED, UNKNOWN The id of the tenant containing the resource.
"abcdef_ghijkl"
If available, a human readable string indicating why a transfer was declined downstream of our system
The reason for the status, e.g. INSUFFICIENT_FUNDS, SUSPECTED_FRAUD, NETWORK_DECLINED
The transaction ID
Was this page helpful?

